Windows build error
« on: March 12, 2017, 06:25:51 pm »
Hi!

I know that windows build is not always supported on the next branch, but maybe somebody knows a solution.

Followed everything in the wiki, then get the following error:
Code: [Select]
mingw32-make[2]: *** [Makefile:128: sub-plugins-make_first-ordered] Error 2

I've compiled the code on OSX and updated my quad, but I'm using a windows laptop on the field and I would like to use the GCS there with the OPLINK, but cannot build the same code on windows :/

f5soh

  • *****
  • 3922
    • LibrePilot
Re: Windows build error
« Reply #1 on: March 12, 2017, 07:51:39 pm »
One line error do not help at all :)

Maybe due to the Msys2 - Qt update, take a look here:
https://bitbucket.org/librepilot/librepilot/pull-requests/400

Re: Windows build error
« Reply #2 on: March 13, 2017, 11:18:26 am »
Hi!

I have found this patch before, I was building the windows package on parallels (OSX) because my laptop is weak af.
Unforunately I was editing the source on my mac instead of the virtual machine xD

It's fixed, thank you for your help!